body {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    height: 100vh;
    margin: 0;
    padding: 20px;
    overflow: hidden;
    justify-content: center;
}

#grid-container {
    display: grid;
    grid-template-columns: repeat(9, 40px);
    grid-template-rows: repeat(9, 40px);
    border: none;
    justify-content: center;
}
.cell {
    width: 40px;
    height: 40px;
    border: 2px solid black;
}
.buttons {
    display: flex;
    gap: 8px;
    margin: 10px;
    padding: 5px 10px;
}
#top-buttons, #bottom-buttons {
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
#left-buttons, #right-buttons {
    flex-direction: column;
}
#grid-and-side-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
}
button {
    padding: 5px 10px;
    font-size: 14px;
}
#controls{
    display: flex;
    justify-content: center;
    align-items: center;
}
#score-container {
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    justify-content: center;
    align-items: center;
}

#endgame-form{
    display: flex;
    flex-direction: column;
    margin-top: 5px;
    justify-content: center;
    align-items: center;
    padding:155px 10px;
}
